﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.PropertyGrid;

namespace WpfApplication4
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        Configuration configuration = new Configuration();

        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
            propertyGrid.SelectedObject = configuration;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {

            CustomEditor valueEditor = new CustomEditor() { HasPropertyType = true, PropertyType = typeof(int) };
            valueEditor.Editor = new WpfApplication4.ICustomTypeEditors.ComboBoxEditor();
            propertyGrid.CustomEditorCollection.Add(valueEditor);
            propertyGrid.RefreshPropertygrid();

        }
    }



    public class Configuration
    {
        private int totalSteps;
        private int steps;

        public int TotalSteps
        {
            get { return totalSteps;}
            set { totalSteps = value; }
        }

        public int Steps
        {
            get { return steps; }
            set { steps = value; }
        }
    }
}
